// flow-typed signature: 8a2e8039ef41fcb04aa3eea157b97a9c
// flow-typed version: <<STUB>>/react-select_v^1.0.0-rc.4/flow_v0.47.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'react-select'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'react-select' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'react-select/dist/react-select' {
  declare module.exports: any;
}

declare module 'react-select/dist/react-select.min' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/app' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/BooleanSelect' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/Contributors' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/Creatable' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/CustomComponents' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/CustomRender' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/GithubUsers' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/Multiselect' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/NumericSelect' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/States' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/components/Virtualized' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/data/cities' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/data/contributors' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/data/states' {
  declare module.exports: any;
}

declare module 'react-select/examples/src/data/users' {
  declare module.exports: any;
}

declare module 'react-select/gulpfile' {
  declare module.exports: any;
}

declare module 'react-select/lib/Async' {
  declare module.exports: any;
}

declare module 'react-select/lib/AsyncCreatable' {
  declare module.exports: any;
}

declare module 'react-select/lib/Creatable' {
  declare module.exports: any;
}

declare module 'react-select/lib/Option' {
  declare module.exports: any;
}

declare module 'react-select/lib/Select' {
  declare module.exports: any;
}

declare module 'react-select/lib/utils/defaultArrowRenderer' {
  declare module.exports: any;
}

declare module 'react-select/lib/utils/defaultClearRenderer' {
  declare module.exports: any;
}

declare module 'react-select/lib/utils/defaultFilterOptions' {
  declare module.exports: any;
}

declare module 'react-select/lib/utils/defaultMenuRenderer' {
  declare module.exports: any;
}

declare module 'react-select/lib/utils/stripDiacritics' {
  declare module.exports: any;
}

declare module 'react-select/lib/Value' {
  declare module.exports: any;
}

declare module 'react-select/src/Async' {
  declare module.exports: any;
}

declare module 'react-select/src/AsyncCreatable' {
  declare module.exports: any;
}

declare module 'react-select/src/Creatable' {
  declare module.exports: any;
}

declare module 'react-select/src/Option' {
  declare module.exports: any;
}

declare module 'react-select/src/Select' {
  declare module.exports: any;
}

declare module 'react-select/src/utils/defaultArrowRenderer' {
  declare module.exports: any;
}

declare module 'react-select/src/utils/defaultClearRenderer' {
  declare module.exports: any;
}

declare module 'react-select/src/utils/defaultFilterOptions' {
  declare module.exports: any;
}

declare module 'react-select/src/utils/defaultMenuRenderer' {
  declare module.exports: any;
}

declare module 'react-select/src/utils/stripDiacritics' {
  declare module.exports: any;
}

declare module 'react-select/src/Value' {
  declare module.exports: any;
}

declare module 'react-select/test/Async-test' {
  declare module.exports: any;
}

declare module 'react-select/test/AsyncCreatable-test' {
  declare module.exports: any;
}

declare module 'react-select/test/Creatable-test' {
  declare module.exports: any;
}

declare module 'react-select/test/Select-test' {
  declare module.exports: any;
}

declare module 'react-select/test/Value-test' {
  declare module.exports: any;
}

declare module 'react-select/testHelpers/jsdomHelper' {
  declare module.exports: any;
}

declare module 'react-select/testHelpers/nodeListType' {
  declare module.exports: any;
}

declare module 'react-select/wallaby' {
  declare module.exports: any;
}

// Filename aliases
declare module 'react-select/dist/react-select.js' {
  declare module.exports: $Exports<'react-select/dist/react-select'>;
}
declare module 'react-select/dist/react-select.min.js' {
  declare module.exports: $Exports<'react-select/dist/react-select.min'>;
}
declare module 'react-select/examples/src/app.js' {
  declare module.exports: $Exports<'react-select/examples/src/app'>;
}
declare module 'react-select/examples/src/components/BooleanSelect.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/BooleanSelect'>;
}
declare module 'react-select/examples/src/components/Contributors.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/Contributors'>;
}
declare module 'react-select/examples/src/components/Creatable.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/Creatable'>;
}
declare module 'react-select/examples/src/components/CustomComponents.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/CustomComponents'>;
}
declare module 'react-select/examples/src/components/CustomRender.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/CustomRender'>;
}
declare module 'react-select/examples/src/components/GithubUsers.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/GithubUsers'>;
}
declare module 'react-select/examples/src/components/Multiselect.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/Multiselect'>;
}
declare module 'react-select/examples/src/components/NumericSelect.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/NumericSelect'>;
}
declare module 'react-select/examples/src/components/States.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/States'>;
}
declare module 'react-select/examples/src/components/Virtualized.js' {
  declare module.exports: $Exports<'react-select/examples/src/components/Virtualized'>;
}
declare module 'react-select/examples/src/data/cities.js' {
  declare module.exports: $Exports<'react-select/examples/src/data/cities'>;
}
declare module 'react-select/examples/src/data/contributors.js' {
  declare module.exports: $Exports<'react-select/examples/src/data/contributors'>;
}
declare module 'react-select/examples/src/data/states.js' {
  declare module.exports: $Exports<'react-select/examples/src/data/states'>;
}
declare module 'react-select/examples/src/data/users.js' {
  declare module.exports: $Exports<'react-select/examples/src/data/users'>;
}
declare module 'react-select/gulpfile.js' {
  declare module.exports: $Exports<'react-select/gulpfile'>;
}
declare module 'react-select/lib/Async.js' {
  declare module.exports: $Exports<'react-select/lib/Async'>;
}
declare module 'react-select/lib/AsyncCreatable.js' {
  declare module.exports: $Exports<'react-select/lib/AsyncCreatable'>;
}
declare module 'react-select/lib/Creatable.js' {
  declare module.exports: $Exports<'react-select/lib/Creatable'>;
}
declare module 'react-select/lib/Option.js' {
  declare module.exports: $Exports<'react-select/lib/Option'>;
}
declare module 'react-select/lib/Select.js' {
  declare module.exports: $Exports<'react-select/lib/Select'>;
}
declare module 'react-select/lib/utils/defaultArrowRenderer.js' {
  declare module.exports: $Exports<'react-select/lib/utils/defaultArrowRenderer'>;
}
declare module 'react-select/lib/utils/defaultClearRenderer.js' {
  declare module.exports: $Exports<'react-select/lib/utils/defaultClearRenderer'>;
}
declare module 'react-select/lib/utils/defaultFilterOptions.js' {
  declare module.exports: $Exports<'react-select/lib/utils/defaultFilterOptions'>;
}
declare module 'react-select/lib/utils/defaultMenuRenderer.js' {
  declare module.exports: $Exports<'react-select/lib/utils/defaultMenuRenderer'>;
}
declare module 'react-select/lib/utils/stripDiacritics.js' {
  declare module.exports: $Exports<'react-select/lib/utils/stripDiacritics'>;
}
declare module 'react-select/lib/Value.js' {
  declare module.exports: $Exports<'react-select/lib/Value'>;
}
declare module 'react-select/src/Async.js' {
  declare module.exports: $Exports<'react-select/src/Async'>;
}
declare module 'react-select/src/AsyncCreatable.js' {
  declare module.exports: $Exports<'react-select/src/AsyncCreatable'>;
}
declare module 'react-select/src/Creatable.js' {
  declare module.exports: $Exports<'react-select/src/Creatable'>;
}
declare module 'react-select/src/Option.js' {
  declare module.exports: $Exports<'react-select/src/Option'>;
}
declare module 'react-select/src/Select.js' {
  declare module.exports: $Exports<'react-select/src/Select'>;
}
declare module 'react-select/src/utils/defaultArrowRenderer.js' {
  declare module.exports: $Exports<'react-select/src/utils/defaultArrowRenderer'>;
}
declare module 'react-select/src/utils/defaultClearRenderer.js' {
  declare module.exports: $Exports<'react-select/src/utils/defaultClearRenderer'>;
}
declare module 'react-select/src/utils/defaultFilterOptions.js' {
  declare module.exports: $Exports<'react-select/src/utils/defaultFilterOptions'>;
}
declare module 'react-select/src/utils/defaultMenuRenderer.js' {
  declare module.exports: $Exports<'react-select/src/utils/defaultMenuRenderer'>;
}
declare module 'react-select/src/utils/stripDiacritics.js' {
  declare module.exports: $Exports<'react-select/src/utils/stripDiacritics'>;
}
declare module 'react-select/src/Value.js' {
  declare module.exports: $Exports<'react-select/src/Value'>;
}
declare module 'react-select/test/Async-test.js' {
  declare module.exports: $Exports<'react-select/test/Async-test'>;
}
declare module 'react-select/test/AsyncCreatable-test.js' {
  declare module.exports: $Exports<'react-select/test/AsyncCreatable-test'>;
}
declare module 'react-select/test/Creatable-test.js' {
  declare module.exports: $Exports<'react-select/test/Creatable-test'>;
}
declare module 'react-select/test/Select-test.js' {
  declare module.exports: $Exports<'react-select/test/Select-test'>;
}
declare module 'react-select/test/Value-test.js' {
  declare module.exports: $Exports<'react-select/test/Value-test'>;
}
declare module 'react-select/testHelpers/jsdomHelper.js' {
  declare module.exports: $Exports<'react-select/testHelpers/jsdomHelper'>;
}
declare module 'react-select/testHelpers/nodeListType.js' {
  declare module.exports: $Exports<'react-select/testHelpers/nodeListType'>;
}
declare module 'react-select/wallaby.js' {
  declare module.exports: $Exports<'react-select/wallaby'>;
}
